Browse Source

NEW: added two spec files of wxPython and wxGlade

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@3887 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 13 years ago
parent
commit
b28ff3d22c
2 changed files with 463 additions and 0 deletions
  1. 177 0
      w/wxGlade/wxGlade-vl.spec
  2. 286 0
      w/wxPython/wxPython-vl.spec

+ 177 - 0
w/wxGlade/wxGlade-vl.spec

@@ -0,0 +1,177 @@
+%define tipversion 20110516
+%define hgnode 96ff5a770485
+
+Summary: 	A wxWidgets/wxPython/wxPerl GUI designer
+Name: 		wxGlade
+Version: 	0.6.3
+Release:	1%{?tipversion:.tip%tipversion}%{?_dist_release}
+#Source0: 	http://downloads.sourceforge.net/wxglade/%{name}-%{version}.tar.gz
+## renamed https://bitbucket.org/agriggio/wxglade/get/tip.tar.bz2 to Source0: 
+Source0: 	wxGlade-0.6.3%{?tipversion:.tip%tipversion}.tar.bz2
+Source1:    wxglade.desktop
+Source2:    wxglade.png
+License: 	MIT
+URL:        http://wxglade.sourceforge.net/
+Group: 		Development/Tools
+BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
+BuildArch: 	noarch
+BuildRequires: desktop-file-utils
+Requires: 	python >= 2.2
+Requires: 	wxPython >= 2.6
+
+Distribution:	Vine
+Vendor:		Project Vine
+
+%description
+wxGlade is a GUI designer written in Python with the popular GUI
+toolkit wxPython, that helps you create wxWidgets/wxPython user
+interfaces. At the moment it can generate Python, C++, Perl and XRC
+(wxWidgets' XML resources) code.
+
+%prep
+%setup -q -n agriggio-wxglade-%{hgnode}
+
+
+%build
+# nothing to do
+
+
+%install
+# cleanup
+%__rm -rf $RPM_BUILD_ROOT
+
+# make dirs
+%__install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
+%__install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}
+%__install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/codegen
+%__install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/edit_sizers
+%__install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/res
+%__install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
+%__install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/gtk
+
+# copy files needed at runtime
+%__install -m644 -p *.py $RPM_BUILD_ROOT%{_datadir}/%{name}
+%__install -m644 -p codegen/*  $RPM_BUILD_ROOT%{_datadir}/%{name}/codegen
+%__install -m644 -p edit_sizers/*  $RPM_BUILD_ROOT%{_datadir}/%{name}/edit_sizers
+%__install -m644 -p res/* $RPM_BUILD_ROOT%{_datadir}/%{name}/res
+%__install -m644 -p icons/*.ico icons/*.png icons/*.xpm  $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
+%__install -m644 -p icons/gtk/*.xpm  $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/gtk
+%__cp -Rp widgets  $RPM_BUILD_ROOT%{_datadir}/%{name}/widgets
+find docs -type f -exec chmod 644 {} \;
+
+# make a launcher script
+cat > $RPM_BUILD_ROOT%{_bindir}/wxglade <<EOF
+#!/bin/bash
+exec python %{_datadir}/%{name}/wxglade.py "\$@"
+EOF
+chmod +x $RPM_BUILD_ROOT%{_bindir}/wxglade
+
+# install desktop entry
+desktop-file-install --vendor=vine \
+  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
+  %{SOURCE1}
+%__install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
+%__install -m 644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
+
+# docs symlink
+%__ln_s %{_docdir}/%{name}-%{version}/docs $RPM_BUILD_ROOT%{_datadir}/%{name}/docs
+
+%post
+touch --no-create %{_datadir}/icons/hicolor || :
+%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
+update-desktop-database %{_datadir}/applications &>/dev/null || :
+
+%postun
+touch --no-create %{_datadir}/icons/hicolor || :
+%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
+update-desktop-database %{_datadir}/applications &>/dev/null || :
+
+%clean
+%__rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(-,root,root,-)
+%doc docs CHANGES.txt README.txt TODO.txt credits.txt license.txt
+%{_bindir}/wxglade
+%{_datadir}/%{name}
+%{_datadir}/icons/hicolor/32x32/apps/*
+%{_datadir}/applications/*
+
+
+%changelog
+* Mon May 16 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.6.3-1.tip20110516
+- initial build
+
+* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3tip20100625-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
+
+* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.3tip20100625-2
+- recompiling .py files against Python 2.7 (rhbz#623417)
+
+* Fri Jun  25 2010 ZC Miao <hellwolf.misty@gmail.com> - 0.6.3tip20100625-1
+- update to tip20100625
+
+* Sun Jun  6 2010 ZC Miao <hellwolf.misty@gmail.com> - 0.6.3tip20091130-2
+- update source
+
+* Mon Nov 30 2009 ZC Miao <hellwolf.misty@gmail.com> - 0.6.3tip20091130-1
+- update to tip version
+
+* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
+
+* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
+
+* Sat May 24 2008 ZC Miao <hellwolf.misty@gmail.com> - 0.6.3-2
+- update to 0.6.3
+
+* Sat Nov 24 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.6.1-1
+- update to 0.6.1
+- remove docs path patch, add a docs symlink instead
+
+* Thu Jul 19 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.5-6
+- 248795 , patch for launch help docs correctly
+
+* Mon Apr 16 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.5-5
+- update to fix EVR problem
+
+* Sun Apr 15 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.5-2
+- file permissions with install command
+
+* Sun Apr 15 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.5-1
+- update to 0.5
+- launch script with quoted $@
+- name to wxGlade
+
+* Tue Feb 27 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.4.1-3
+- Desktop entry do not need version number
+- remove some comments
+
+* Sun Feb 25 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.4.1-2
+- install icon to hicolor directory
+- change name to wxglade
+- BuildRequires desktop-file-utils
+- remove Application category in desktop file
+- remove some macro redefination
+
+* Fri Feb 16 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.4.1-2
+- Add missing icons
+
+* Fri Feb 16 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.4.1-1
+- update to 0.4.1
+
+* Wed Oct 27 2004 Alberto Griggio <agriggio@users.sf.net> 0.3.5-1
+- Updated to version 0.3.5
+
+* Wed Mar 10 2004 Alberto Griggio <agriggio@users.sf.net> 0.3.4-1
+- Updated to version 0.3.4
+
+* Wed Mar 10 2004 Alberto Griggio <albgrig@tiscalinet.it> 0.3.2-1
+- Updated to version 0.3.2
+
+* Tue Sep 02 2003 Alberto Griggio <albgrig@tiscalinet.it> 0.3.1-1
+- Updated to version 0.3.1
+
+* Fri Aug 29 2003 Robin Dunn <robind@alldunn.com> 0.3-5
+- Initial version

+ 286 - 0
w/wxPython/wxPython-vl.spec

@@ -0,0 +1,286 @@
+%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
+%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
+
+%define buildflags WXPORT=gtk2 UNICODE=1
+
+Name:           wxPython
+Version:        2.8.12.0
+Release:        1%{?dist}
+
+Summary:        GUI toolkit for the Python programming language
+
+Group:          Development/Languages
+License:        LGPLv2+ and wxWidgets 
+URL:            http://www.wxpython.org/
+Source0:        http://downloads.sourceforge.net/wxpython/%{name}-src-%{version}.tar.bz2
+# fix aui imports
+# http://trac.wxwidgets.org/ticket/12107
+Patch0:         wxPython-2.8.12.0-aui.patch
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
+# make sure to keep this updated as appropriate
+BuildRequires:  wxGTK-devel >= 2.8.11
+BuildRequires:  python-devel
+BuildRequires:  gtk2-devel
+BuildRequires:  mesa-libGL-devel mesa-libGLU-devel
+
+# packages should depend on "wxPython", not "wxPythonGTK2", but in case
+# one does, here's the provides for it.
+Provides:       wxPythonGTK2 = %{version}-%{release}
+
+Vendor: Project Vine
+Distribution: Vine Linux
+
+%description
+wxPython is a GUI toolkit for the Python programming language. It allows
+Python programmers to create programs with a robust, highly functional
+graphical user interface, simply and easily. It is implemented as a Python
+extension module (native code) that wraps the popular wxWindows cross
+platform GUI library, which is written in C++.
+
+%package        devel
+Group:          Development/Libraries
+Summary:        Development files for wxPython add-on modules
+Requires:       %{name} = %{version}-%{release}
+Requires:       wxGTK-devel
+
+%description devel
+This package includes C++ header files and SWIG files needed for developing
+add-on modules for wxPython. It is NOT needed for development of most
+programs which use the wxPython toolkit.
+
+%package        docs
+Group:          Documentation
+Summary:        Documentation and samples for wxPython
+Requires:       %{name} = %{version}-%{release}
+BuildArch:      noarch
+
+%description docs
+Documentation, samples and demo application for wxPython.
+
+
+%prep
+%setup -q -n wxPython-src-%{version}
+%patch0 -p1 -b .aui
+
+# fix libdir otherwise additional wx libs cannot be found
+%__sed -i -e 's|/usr/lib|%{_libdir}|' wxPython/config.py
+
+
+%build
+# Just build the wxPython part, not all of wxWindows which we already have
+# in Fedora
+cd wxPython
+# included distutils is not multilib aware; use normal
+%__rm -rf distutils
+python setup.py %{buildflags} build
+
+
+%install
+%__rm -rf $RPM_BUILD_ROOT
+cd wxPython
+python setup.py %{buildflags} install --root=$RPM_BUILD_ROOT
+
+# this is a kludge....
+%if "%{python_sitelib}" != "%{python_sitearch}"
+%__mv $RPM_BUILD_ROOT%{python_sitelib}/wx.pth  $RPM_BUILD_ROOT%{python_sitearch}
+%__mv $RPM_BUILD_ROOT%{python_sitelib}/wxversion.py* $RPM_BUILD_ROOT%{python_sitearch}
+%endif
+
+%clean
+%__rm -rf $RPM_BUILD_ROOT
+
+
+%files
+%defattr(-,root,root,-)
+%doc wxPython/licence
+%{_bindir}/*
+%{python_sitearch}/wx.pth
+%{python_sitearch}/wxversion.py*
+%dir %{python_sitearch}/wx-2.8-gtk2-unicode/
+%{python_sitearch}/wx-2.8-gtk2-unicode/wx
+%{python_sitearch}/wx-2.8-gtk2-unicode/wxPython
+%{python_sitelib}/*egg-info
+%{python_sitearch}/wx-2.8-gtk2-unicode/*egg-info
+
+%files devel
+%defattr(-,root,root,-)
+%dir %{_includedir}/wx-2.8/wx/wxPython
+%{_includedir}/wx-2.8/wx/wxPython/*.h
+%dir %{_includedir}/wx-2.8/wx/wxPython/i_files
+%{_includedir}/wx-2.8/wx/wxPython/i_files/*.i
+%{_includedir}/wx-2.8/wx/wxPython/i_files/*.py*
+%{_includedir}/wx-2.8/wx/wxPython/i_files/*.swg
+
+%files docs
+%defattr(-,root,root,-)
+%doc wxPython/docs wxPython/demo wxPython/samples
+
+
+%changelog
+* Sun May 15 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.8.12.0-1
+- initial build based on Fedora rawhide
+
+* Tue Apr 26 2011 Dan Horák <dan[at]danny.cz> - 2.8.12.0-1
+- update to 2.8.12.0 (#699207)
+
+* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.11.0-5
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
+
+* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.8.11.0-4
+- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild
+
+* Mon Jul 12 2010 Dan Horák <dan@danny.cz> - 2.8.11.0-3
+- rebuilt against wxGTK-2.8.11-2
+
+* Sun Jul 11 2010 Lubomir Rintel <lkundrak@v3.sk> - 2.8.11.0-2
+- Include egg-info when build on recent RHEL
+
+* Mon May 31 2010 Dan Horák <dan[at]danny.cz> - 2.8.11.0-1
+- update to 2.8.11.0 (#593837, #595936, #597639)
+
+* Sun May  2 2010 Dan Horák <dan[at]danny.cz> - 2.8.10.1-3
+- rebuilt with wxGTK 2.8.11
+
+* Wed Mar 17 2010 Dan Horák <dan[at]danny.cz> - 2.8.10.1-2
+- add missing module (#573961)
+
+* Sat Jan 16 2010 Dan Horák <dan[at]danny.cz> - 2.8.10.1-1
+- update to 2.8.10.1
+- backport to wxGTK 2.8.10 API
+- cleaned up BRs
+
+* Thu Jan  7 2010 Hans de Goede <hdegoede@redhat.com> - 2.8.9.2-4
+- Change python_foo macros to use %%global as the new rpm will break
+  using %%define here, see:
+  https://www.redhat.com/archives/fedora-devel-list/2010-January/msg00093.html
+
+* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.9.2-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
+
+* Fri Apr 10 2009 Dan Horák <dan[at]danny.cz> - 2.8.9.2-2
+- add patch to fix compile failure for contrib/gizmos/_treelist.i
+
+* Fri Apr 10 2009 Dan Horák <dan[at]danny.cz> - 2.8.9.2-1
+- update to 2.8.9.2
+- create noarch docs subpackage
+
+* Thu Mar  5 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.8.9.1-4
+- Rebuilt for newer wxgtk package
+
+* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.9.1-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
+
+* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.8.9.1-2
+- Rebuild for Python 2.6
+
+* Tue Sep 30 2008 Dan Horak <dan[at]danny.cz> - 2.8.9.1-1
+- update to 2.8.9.1
+- fix libdir for additional wx libraries (#306761)
+
+* Mon Sep 29 2008 Dan Horak <dan[at]danny.cz> - 2.8.9.0-1
+- update to 2.8.9.0
+
+* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.8.8.0-2
+- fix license tag
+
+* Thu Jul 31 2008 Matthew Miller <mattdm@mattdm.org> - 2.8.8.0-1
+- update to 2.8.8.0 (bug #457408)
+- a fix for bug #450073 is included in the upstream release, so
+  dropping that patch.
+
+* Thu Jun 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> - 2.8.7.1-5
+- Fix an attribute error when importing wxPython (compat) module
+  (redhat bugzilla 450073, 450074)
+
+* Sat Jun  6 2008 Matthew Miller <mattdm@mattdm.org> - 2.8.7.1-4
+- gratuitously bump package release number to work around build system
+  glitch. again, but it will work this time.
+
+* Wed Jun  4 2008 Matthew Miller <mattdm@mattdm.org> - 2.8.7.1-3
+- gratuitously bump package release number to work around build system
+  glitch
+
+* Thu Feb 21 2008 Matthew Miller <mattdm@mattdm.org> - 2.8.7.1-2
+- include egg-info files for fedora 9 or greater
+
+* Wed Feb 20 2008 Matthew Miller <mattdm@mattdm.org> - 2.8.7.1-1
+- update to 2.8.7.1
+
+* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.8.4.0-3
+- Autorebuild for GCC 4.3
+
+* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.8.4.0-2
+- Rebuild for selinux ppc32 issue.
+
+* Wed Jul 11 2007 Matthew Miller <mattdm@mattdm.org> - 2.8.4.0-1
+- update to 2.8.4.0
+- obsolete compat-wxPythonGTK
+
+* Sun Apr 15 2007 Matthew Miller <mattdm@mattdm.org> - 2.8.3.0-1
+- update to 2.8.3.0
+
+* Fri Dec 15 2006 Matthew Miller <mattdm@mattdm.org> - 2.8.0.1-1
+- update to 2.8.0.1
+- make buildrequire wxGTK of version-wxpythonsubrelease
+- add wxaddons to filelist
+
+* Mon Dec 11 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.2-3
+- bump release for rebuild against python 2.5.
+
+* Mon Aug 28 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.2-2
+- bump release for FC6 rebuild
+
+* Thu Apr 13 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.2-1
+- version 2.6.3.2
+- move wxversion.py _into_ lib64. Apparently that's the right thing to do. :)
+- upstream tarball no longer includes embedded.o (since I finally got around
+  to pointing that out to the developers instead of just kludging it away.)
+- buildrequires to just libGLU-devel instead of mesa-libGL-devel
+
+* Fri Mar 31 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-4
+- grr. bump relnumber.
+
+* Fri Mar 31 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-3
+- oh yeah -- wxversion.py not lib64.
+
+* Fri Mar 31 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-2
+- buildrequires mesa-libGLU-devel
+
+* Thu Mar 30 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-1
+- update to 2.6.3.0
+- wxGTK and wxPython versions are inexorably linked; make BuildRequires
+  be exact, rather than >=.
+- make devel subpackage as per comment #7 in bug #163440.
+
+* Thu Nov 24 2005 Matthew Miller <mattdm@mattdm.org> - 2.6.1.0-1
+- update to 2.6.0.0
+- merge in changes from current extras 2.4.x package
+- Happy Thanksgiving
+- build animate extention again -- works now.
+
+* Thu Apr 28 2005 Matthew Miller <mattdm@bu.edu> - 2.6.0.0-bu45.1
+- get rid of accidental binaries in source tarball -- they generates
+  spurious dependencies and serve no purpose
+- update to 2.6.0.0 and build for Velouria
+- switch to Fedora Extras base spec file
+- enable gtk2 and unicode and all the code stuff (as FE does)
+- disable BUILD_ANIMATE extension from contrib -- doesn't build
+- files are in a different location now -- adjust to that
+- zap include files (needed only for building wxPython 3rd-party modules),
+  because I don't think this is likely to be very useful. Other option
+  would be to create a -devel package, but I think that'd be confusing.
+
+* Tue Feb 08 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:2.4.2.4-4
+- remove included disutils - it is not multilib aware; this
+  fixes build on x86_64
+
+* Tue Jan 06 2004 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.3
+- rename package to wxPythonGTK2, provide wxPython (see bug 927)
+- dont ship binaries in /usr/share
+
+* Thu Nov 20 2003 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.2
+- add missing buildrequires: python-devel, wxGTK2-gl
+
+* Sun Nov 02 2003 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.1
+- Initial RPM release.
+~